> ## Documentation Index
> Fetch the complete documentation index at: https://cinch-api.crex.page/llms.txt
> Use this file to discover all available pages before exploring further.

# List all devices with emission

> List all devices with emission. Optionally filter by device type and brand



## OpenAPI

````yaml get /api/device-model-emissions
openapi: 3.0.0
info:
  title: CREX API
  version: '1.0'
servers:
  - url: https://api.gocrex.com
    variables: {}
security:
  - ApiKeyAuth: []
tags: []
paths:
  /api/device-model-emissions:
    get:
      tags: []
      summary: List all devices with emission
      description: >-
        List all devices with emission. Optionally filter by device type and
        brand
      operationId: GrootApi.OfferingEmissionsController.index
      parameters:
        - description: device type
          in: query
          name: type
          required: false
          schema:
            type: string
            x-struct: null
            x-validate: null
        - description: device brand
          in: query
          name: brand
          required: false
          schema:
            type: string
            x-struct: null
            x-validate: null
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeviceModelListResponse'
          description: DeviceModelListResponse
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ErrorResponse
      callbacks: {}
components:
  schemas:
    DeviceModelListResponse:
      description: List of devices with emission
      items:
        $ref: '#/components/schemas/DeviceModelResponse'
      title: DeviceModelListResponse
      type: array
      x-struct: Elixir.GrootApi.OfferingEmissionsController.DeviceModelListResponse
      x-validate: null
    ErrorResponse:
      example:
        code: unauthorized
        detail: Invalid API key
      properties:
        code:
          type: string
          x-struct: null
          x-validate: null
        detail:
          type: string
          x-struct: null
          x-validate: null
      title: ErrorResponse
      type: object
      x-struct: Elixir.GrootApi.ApiSpec.Schemas.ErrorResponse
      x-validate: null
    DeviceModelResponse:
      description: Device model with emission
      example:
        brand: Apple
        footprint_breakdown:
          cradle_to_gate: 109.35
          end_of_life_processing: 1.35
          product_use: 25.65
          production: 101.25
          transportation: 8.1
        id: lap-app-lap-app-m3mba138c8g16c8g
        name: Apple MacBook Air 13 M3 (8C CPU + 8C GPU + 16C NE + 8GB)
        product_footprint: 135
        product_footprint_unit: kgCO2e
        type: laptop
      properties:
        brand:
          description: Device model brand
          type: string
          x-struct: null
          x-validate: null
        footprint_breakdown:
          properties:
            cradle_to_gate:
              description: Cradle to gate footprint
              example: 109.35
              type: number
              x-struct: null
              x-validate: null
            end_of_life_processing:
              description: End of life processing footprint
              example: 1.35
              type: number
              x-struct: null
              x-validate: null
            product_use:
              description: Product use footprint
              example: 25.65
              type: number
              x-struct: null
              x-validate: null
            production:
              description: Production footprint
              example: 101.25
              type: number
              x-struct: null
              x-validate: null
            transportation:
              description: Transportation footprint
              example: 8.1
              type: number
              x-struct: null
              x-validate: null
          type: object
          x-struct: null
          x-validate: null
        id:
          description: Your device model ID
          type: string
          x-struct: null
          x-validate: null
        name:
          description: Device model name
          type: string
          x-struct: null
          x-validate: null
        product_footprint:
          description: Product footprint
          example: 135
          type: number
          x-struct: null
          x-validate: null
        product_footprint_unit:
          description: Product footprint unit
          example: kgCO2e
          type: string
          x-struct: null
          x-validate: null
        type:
          description: Device model type
          enum:
            - laptop
            - mobile
            - tablet
            - monitor
            - gaming_console
            - headphone
          type: string
          x-struct: null
          x-validate: null
      title: DeviceModelResponse
      type: object
      x-struct: Elixir.GrootApi.ApiSpec.Schemas.DeviceModelResponse
      x-validate: null
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````